===========================================================
                                      .___ __  __   
          _________________  __ __  __| _/|__|/  |_ 
         / ___\_` __ \__  \ |  |  \/ __ | | \\_  __\
        / /_/  >  | \// __ \|  |  / /_/ | |  ||  |  
        \___  /|__|  (____  /____/\____ | |__||__|  
       /_____/            \/           \/           
              grep rough audit - static analysis tool
                  v2.8 written by @Wireghoul
=================================[justanotherhacker.com]===
ftpmirror-1.96+dfsg/Fan/Param/Param.pm-264-			$_ = &{$val}($_);
ftpmirror-1.96+dfsg/Fan/Param/Param.pm:265:		} elsif (defined(eval($val))) {
ftpmirror-1.96+dfsg/Fan/Param/Param.pm-266-			; # good.
##############################################
ftpmirror-1.96+dfsg/README.jis-564-	B=*$k%U%!%$%k$H `.in', `.nfs' B$G$O$8$^$k%U%!%$%k$O GET B$7$J$$!#
ftpmirror-1.96+dfsg/README.jis:565:	(BCm0U: `=' B$O%Q%i%a!<%?$X$NBeF~$r!"`+=' B$ODI2C$rI=$9)
ftpmirror-1.96+dfsg/README.jis-566-
##############################################
ftpmirror-1.96+dfsg/configure-66-  case "$ac_option" in
ftpmirror-1.96+dfsg/configure:67:  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
ftpmirror-1.96+dfsg/configure-68-  *) ac_optarg= ;;
##############################################
ftpmirror-1.96+dfsg/configure-98-  -disable-* | --disable-*)
ftpmirror-1.96+dfsg/configure:99:    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
ftpmirror-1.96+dfsg/configure-100-    # Reject names that are not valid shell variable names.
ftpmirror-1.96+dfsg/configure:101:    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
ftpmirror-1.96+dfsg/configure-102-      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
ftpmirror-1.96+dfsg/configure-103-    fi
ftpmirror-1.96+dfsg/configure:104:    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
ftpmirror-1.96+dfsg/configure-105-    eval "enable_${ac_feature}=no" ;;
##############################################
ftpmirror-1.96+dfsg/configure-107-  -enable-* | --enable-*)
ftpmirror-1.96+dfsg/configure:108:    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
ftpmirror-1.96+dfsg/configure-109-    # Reject names that are not valid shell variable names.
ftpmirror-1.96+dfsg/configure:110:    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
ftpmirror-1.96+dfsg/configure-111-      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
ftpmirror-1.96+dfsg/configure-112-    fi
ftpmirror-1.96+dfsg/configure:113:    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
ftpmirror-1.96+dfsg/configure-114-    case "$ac_option" in
##############################################
ftpmirror-1.96+dfsg/configure-338-  -with-* | --with-*)
ftpmirror-1.96+dfsg/configure:339:    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
ftpmirror-1.96+dfsg/configure-340-    # Reject names that are not valid shell variable names.
ftpmirror-1.96+dfsg/configure:341:    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
ftpmirror-1.96+dfsg/configure-342-      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
ftpmirror-1.96+dfsg/configure-343-    fi
ftpmirror-1.96+dfsg/configure:344:    ac_package=`echo $ac_package| sed 's/-/_/g'`
ftpmirror-1.96+dfsg/configure-345-    case "$ac_option" in
##############################################
ftpmirror-1.96+dfsg/configure-351-  -without-* | --without-*)
ftpmirror-1.96+dfsg/configure:352:    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
ftpmirror-1.96+dfsg/configure-353-    # Reject names that are not valid shell variable names.
ftpmirror-1.96+dfsg/configure:354:    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
ftpmirror-1.96+dfsg/configure-355-      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
ftpmirror-1.96+dfsg/configure-356-    fi
ftpmirror-1.96+dfsg/configure:357:    ac_package=`echo $ac_package| sed 's/-/_/g'`
ftpmirror-1.96+dfsg/configure-358-    eval "with_${ac_package}=no" ;;
##############################################
ftpmirror-1.96+dfsg/configure-381-  *)
ftpmirror-1.96+dfsg/configure:382:    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
ftpmirror-1.96+dfsg/configure-383-      echo "configure: warning: $ac_option: invalid host type" 1>&2
##############################################
ftpmirror-1.96+dfsg/configure-394-if test -n "$ac_prev"; then
ftpmirror-1.96+dfsg/configure:395:  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
ftpmirror-1.96+dfsg/configure-396-fi
##############################################
ftpmirror-1.96+dfsg/configure-459-  ac_prog=$0
ftpmirror-1.96+dfsg/configure:460:  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
ftpmirror-1.96+dfsg/configure-461-  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
##############################################
ftpmirror-1.96+dfsg/configure-475-fi
ftpmirror-1.96+dfsg/configure:476:srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
ftpmirror-1.96+dfsg/configure-477-
##############################################
ftpmirror-1.96+dfsg/configure-553-if test -z "$INSTALL"; then
ftpmirror-1.96+dfsg/configure:554:if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
ftpmirror-1.96+dfsg/configure-555-  echo $ac_n "(cached) $ac_c" 1>&6
##############################################
ftpmirror-1.96+dfsg/configure-607-echo "configure:608: checking for $ac_word" >&5
ftpmirror-1.96+dfsg/configure:608:if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
ftpmirror-1.96+dfsg/configure-609-  echo $ac_n "(cached) $ac_c" 1>&6
##############################################
ftpmirror-1.96+dfsg/configure-825-    fi
ftpmirror-1.96+dfsg/configure:826:    ac_file=`expr $ac_file + 1`
ftpmirror-1.96+dfsg/configure-827-    ac_beg=$ac_end
ftpmirror-1.96+dfsg/configure:828:    ac_end=`expr $ac_end + $ac_max_sed_cmds`
ftpmirror-1.96+dfsg/configure-829-  fi
##############################################
ftpmirror-1.96+dfsg/configure-843-  case "$ac_file" in
ftpmirror-1.96+dfsg/configure:844:  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
ftpmirror-1.96+dfsg/configure:845:       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
ftpmirror-1.96+dfsg/configure-846-  *) ac_file_in="${ac_file}.in" ;;
##############################################
ftpmirror-1.96+dfsg/configure-851-  # Remove last slash and all that follows it.  Not all systems have dirname.
ftpmirror-1.96+dfsg/configure:852:  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
ftpmirror-1.96+dfsg/configure-853-  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
##############################################
ftpmirror-1.96+dfsg/configure-855-    test ! -d "$ac_dir" && mkdir "$ac_dir"
ftpmirror-1.96+dfsg/configure:856:    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
ftpmirror-1.96+dfsg/configure-857-    # A "../" for each directory in $ac_dir_suffix.
ftpmirror-1.96+dfsg/configure:858:    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
ftpmirror-1.96+dfsg/configure-859-  else
##############################################
ftpmirror-1.96+dfsg/configure-865-      if test -z "$ac_dots"; then top_srcdir=.
ftpmirror-1.96+dfsg/configure:866:      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
ftpmirror-1.96+dfsg/configure-867-  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
##############################################
ftpmirror-1.96+dfsg/configure-879-  rm -f "$ac_file"
ftpmirror-1.96+dfsg/configure:880:  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
ftpmirror-1.96+dfsg/configure-881-  case "$ac_file" in
##############################################
ftpmirror-1.96+dfsg/configure-886-
ftpmirror-1.96+dfsg/configure:887:  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
ftpmirror-1.96+dfsg/configure-888-  sed -e "$ac_comsub
##############################################
ftpmirror-1.96+dfsg/install-sh-85-
ftpmirror-1.96+dfsg/install-sh:86:	-t=*) transformarg=`echo $1 | sed 's/-t=//'`
ftpmirror-1.96+dfsg/install-sh-87-	    shift
##############################################
ftpmirror-1.96+dfsg/install-sh-89-
ftpmirror-1.96+dfsg/install-sh:90:	-b=*) transformbasename=`echo $1 | sed 's/-b=//'`
ftpmirror-1.96+dfsg/install-sh-91-	    shift
##############################################
ftpmirror-1.96+dfsg/install-sh-150-	then
ftpmirror-1.96+dfsg/install-sh:151:		dst="$dst"/`basename $src`
ftpmirror-1.96+dfsg/install-sh-152-	else
##############################################
ftpmirror-1.96+dfsg/install-sh-157-## this sed command emulates the dirname command
ftpmirror-1.96+dfsg/install-sh:158:dstdir=`echo $dst | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'`
ftpmirror-1.96+dfsg/install-sh-159-
##############################################
ftpmirror-1.96+dfsg/install-sh-171-IFS='%'
ftpmirror-1.96+dfsg/install-sh:172:set - `echo ${dstdir} | sed -e 's@/@%@g' -e 's@^%@/@'`
ftpmirror-1.96+dfsg/install-sh-173-IFS="${oIFS}"
##############################################
ftpmirror-1.96+dfsg/install-sh-205-	then
ftpmirror-1.96+dfsg/install-sh:206:		dstfile=`basename $dst`
ftpmirror-1.96+dfsg/install-sh-207-	else
##############################################
ftpmirror-1.96+dfsg/install-sh-215-	then
ftpmirror-1.96+dfsg/install-sh:216:		dstfile=`basename $dst`
ftpmirror-1.96+dfsg/install-sh-217-	else
##############################################
ftpmirror-1.96+dfsg/rotate-161-		&debug("compress \"$a\"");
ftpmirror-1.96+dfsg/rotate:162:		$opt_n	|| system('compress', $a) == 0
ftpmirror-1.96+dfsg/rotate:163:			|| die("system(compress, $a): failure.\n");
ftpmirror-1.96+dfsg/rotate-164-	}
##############################################
ftpmirror-1.96+dfsg/rotate-171-	&debug("gzip \"$a\"");
ftpmirror-1.96+dfsg/rotate:172:	$opt_n	|| system('gzip', $a) == 0
ftpmirror-1.96+dfsg/rotate:173:		|| die("system(gzip, $a): failure.\n");
ftpmirror-1.96+dfsg/rotate-174-}
##############################################
ftpmirror-1.96+dfsg/tools/pack.pl-126-;# Now, try to invoke tar.
ftpmirror-1.96+dfsg/tools/pack.pl:127:system("tar", $tar_flags, "$dir.tar", @file);
ftpmirror-1.96+dfsg/tools/pack.pl-128-die("system: $!") if $?;
##############################################
ftpmirror-1.96+dfsg/tools/pm_utils.pl-137-		exec 'ed', '-', '-s', $file;
ftpmirror-1.96+dfsg/tools/pm_utils.pl:138:		die("pm_conv: exec(ed): $!\n");
ftpmirror-1.96+dfsg/tools/pm_utils.pl-139-	}
##############################################
ftpmirror-1.96+dfsg/debian/cron.daily-31-#
ftpmirror-1.96+dfsg/debian/cron.daily:32:PACKAGES=`cat ${CONFIG_DIR}/list.daily | grep -v '#'`
ftpmirror-1.96+dfsg/debian/cron.daily-33-
##############################################
ftpmirror-1.96+dfsg/debian/cron.monthly-31-#
ftpmirror-1.96+dfsg/debian/cron.monthly:32:PACKAGES=`cat ${CONFIG_DIR}/list.monthly | grep -v '#'`
ftpmirror-1.96+dfsg/debian/cron.monthly-33-
##############################################
ftpmirror-1.96+dfsg/debian/cron.weekly-31-#
ftpmirror-1.96+dfsg/debian/cron.weekly:32:PACKAGES=`cat ${CONFIG_DIR}/list.weekly | grep -v '#'`
ftpmirror-1.96+dfsg/debian/cron.weekly-33-
##############################################
ftpmirror-1.96+dfsg/.pc/01-perl-path-fix.diff/ftpmirror-85-	if ($@) {
ftpmirror-1.96+dfsg/.pc/01-perl-path-fix.diff/ftpmirror:86:		warn("eval($todo):\n$@");
ftpmirror-1.96+dfsg/.pc/01-perl-path-fix.diff/ftpmirror-87-	}
##############################################
ftpmirror-1.96+dfsg/.pc/02-perl-libs-path-fix.diff/ftpmirror-85-	if ($@) {
ftpmirror-1.96+dfsg/.pc/02-perl-libs-path-fix.diff/ftpmirror:86:		warn("eval($todo):\n$@");
ftpmirror-1.96+dfsg/.pc/02-perl-libs-path-fix.diff/ftpmirror-87-	}
##############################################
ftpmirror-1.96+dfsg/ftpmirror-92-	if ($@) {
ftpmirror-1.96+dfsg/ftpmirror:93:		warn("eval($todo):\n$@");
ftpmirror-1.96+dfsg/ftpmirror-94-	}